Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
Class PropertyFullBinding

Field Summary
`boolean` | `bound`
`Object` | `boundBean`
`Object` | `boundProperty`
`boolean` | `boundToProperty`

Constructor Summary
`PropertyFullBinding(SourceBinding source, TargetBinding target)`

Method Summary
`void` | `bind()`
`Object` | `getBean()`
`String` | `getPropertyName()`
`void` | `propertyChange(PropertyChangeEvent event)`
`void` | `rebind()`
`void` | `setBean(Object bean)`
`void` | `setPropertyName(String propertyName)`
`void` | `unbind()`

Constructor Detail

### PropertyFullBinding

    public PropertyFullBinding(SourceBinding source, TargetBinding target)

Method Detail

### bind

    public void bind()

### getBean

    public Object getBean()

### getPropertyName

    public String getPropertyName()

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

### rebind

    public void rebind()

### setBean

    public void setBean(Object bean)

### setPropertyName

    public void setPropertyName(String propertyName)

### unbind

    public void unbind()